package com.hzya.frame.sys.template.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sys.templateViewAccredit.entity.TemplateViewAccredit;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description: 模版表
 * @tableName:   sys_template
 * @entityName:  Template
 * @author: 	 llg
 * @history:	 1.0
 */
public class  Template  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 应用ID */
	private String appId;
	/** 应用编码 */
	private String appCode;
	/** 应用名称 */
	private String appName;
	/** 应用ID */
	private String productId;
	/** 应用编码 */
	private String productCode;
	/** 应用名称 */
	private String productName;
	/** 模版名称 */
	private String templateName;
	/** 模板编码 	唯一值 */
	private String templateCode;
	/** 类型		单据,档案 */
	private String templateType;
	/** Service服务名 */
	private String serviceName;
	/** 表名（英文名称） */
	private String tableName;
	/** 树结构属性 */
	private String treeOption;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;
	private List<String> templateTypes;

	private List<TemplateViewAccredit> templateViewAccreditList;
	/** 唯一标识码 */
	public void setId(String id) {
		this.id = id;
	}
	/** 唯一标识码 */
	public String getId() {
		return id;
	}
	/** 应用ID */
	public void setAppId(String appId) {
		this.appId = appId;
	}
	/** 应用ID */
	public String getAppId() {
		return appId;
	}
	/** 应用编码 */
	public void setAppCode(String appCode) {
		this.appCode = appCode;
	}
	/** 应用编码 */
	public String getAppCode() {
		return appCode;
	}
	/** 应用名称 */
	public void setAppName(String appName) {
		this.appName = appName;
	}
	/** 应用名称 */
	public String getAppName() {
		return appName;
	}
	/** 应用ID */
	public void setProductId(String productId) {
		this.productId = productId;
	}
	/** 应用ID */
	public String getProductId() {
		return productId;
	}
	/** 应用编码 */
	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}
	/** 应用编码 */
	public String getProductCode() {
		return productCode;
	}
	/** 应用名称 */
	public void setProductName(String productName) {
		this.productName = productName;
	}
	/** 应用名称 */
	public String getProductName() {
		return productName;
	}
	/** 模版名称 */
	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}
	/** 模版名称 */
	public String getTemplateName() {
		return templateName;
	}
	/** 模板编码 	唯一值 */
	public void setTemplateCode(String templateCode) {
		this.templateCode = templateCode;
	}
	/** 模板编码 	唯一值 */
	public String getTemplateCode() {
		return templateCode;
	}
	/** 类型		单据,档案 */
	public void setTemplateType(String templateType) {
		this.templateType = templateType;
	}
	/** 类型		单据,档案 */
	public String getTemplateType() {
		return templateType;
	}
	/** Service服务名 */
	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}
	/** Service服务名 */
	public String getServiceName() {
		return serviceName;
	}
	/** 表名（英文名称） */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	/** 表名（英文名称） */
	public String getTableName() {
		return tableName;
	}
	/** 树结构属性 */
	public void setTreeOption(String treeOption) {
		this.treeOption = treeOption;
	}
	/** 树结构属性 */
	public String getTreeOption() {
		return treeOption;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 状态(Y正常N删除) */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态(Y正常N删除) */
	public String getSts() {
		return sts;
	}
	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}



	public List<TemplateViewAccredit> getTemplateViewAccreditList() {
		return templateViewAccreditList;
	}

	public void setTemplateViewAccreditList(List<TemplateViewAccredit> templateViewAccreditList) {
		this.templateViewAccreditList = templateViewAccreditList;
	}

	public List<String> getTemplateTypes() {
		return templateTypes;
	}

	public void setTemplateTypes(List<String> templateTypes) {
		this.templateTypes = templateTypes;
	}

}
